using System;
using System.Collections.Generic;
using Android.App;
using Android.Content;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;
using Syncfusion.SfDataGrid;
using PhoneWord;

namespace ActivityTesting
{
	[Activity (Label = "GridView", MainLauncher = true, Icon = "@drawable/icon")]
	public class MainActivity : Activity
	{
        SfDataGrid sfGrid;
        ViewModel vm;
        int index;        

		protected override void OnCreate (Bundle bundle)
		{
            base.OnCreate(bundle);            
            sfGrid = new SfDataGrid(this);
            vm = new ViewModel();
            sfGrid.ItemsSource = vm.ProductDetails;            
            sfGrid.SelectionMode = SelectionMode.Multiple;
            sfGrid.SelectionChanged += sfGrid_SelectionChanged;                       
            

            SetContentView(sfGrid);            
		}

        protected override void OnPause()
        {
            base.OnPause();
            index = sfGrid.SelectedIndex;
            
        }

        protected override void OnSaveInstanceState(Bundle outState)
        {            
            base.OnSaveInstanceState(outState);            
        }
       
        void sfGrid_SelectionChanged(object sender, GridSelectionChangedEventArgs e)
        {
            var intent = new Intent(this, typeof(SubActivity));            
            StartActivity(intent);            
        }

      }
}


