using System;
using System.Collections.Generic;

using Android.App;
using Android.OS;
using Android.Widget;
using Android.Graphics;
using Android.Content;
using Android.Views;

namespace ActivityTesting
{
	[Activity(Label = "DetailView")]            
	public class SubActivity : Activity
	{
        LinearLayout linear;
        TextView text;        
        Button button;

        protected override void OnCreate(Bundle bundle)
		{
			base.OnCreate(bundle);
            linear = new LinearLayout(this);
            linear.Orientation = Orientation.Vertical;
            text = new TextView(this);
            text.SetTextColor(Color.Black);
            text.Gravity = GravityFlags.Center;
            button = new Button(this);
            button.Text = "Click To return to main activity";
            button.SetTextColor(Color.Black);
            button.SetBackgroundColor(Color.Red);
            button.Click += b_Click;            
            text.Text = "Display the necessary details";
            text.SetBackgroundColor(Color.White);            
            linear.AddView(text,ViewGroup.LayoutParams.MatchParent,300);
            linear.AddView(button, ViewGroup.LayoutParams.MatchParent, 200);
            SetContentView(linear);
			
		}

        void b_Click(object sender, EventArgs e)
        {            
            Finish();
        }

	}
}
